# $Revision: 1.44 $, $Date: 2012/02/22 10:04:31 $
Summary:	Very fast image viewer for X Window
Summary(pl.UTF-8):	Bardzo szybka przeglądarka plików graficznych dla X Window
Name:		qiv
Version:	2.2.4
Release:	1
License:	GPL
Group:		X11/Applications/Graphics
Source0:	http://spiegl.de/qiv/download/%{name}-%{version}.tgz
# Source0-md5:	1425f89c90f9c045858fccf24d894c97
Source1:	%{name}.desktop
Source2:	%{name}.png
Patch0:		%{name}-misc.patch
URL:		http://spiegl.de/qiv/
BuildRequires:	gtk+2-devel
BuildRequires:	imlib2-devel
BuildRequires:	libmagic-devel
BuildRequires:	pkgconfig
BuildRequires:	xorg-lib-libXinerama-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Quick Image Viewer (qiv) is a very small and pretty fast GDK/Imlib
image viewer. Features include zoom, maxpect, scale down, fullscreen,
brightness/contrast/gamma correction, slideshow, flip
horizontal/vertical, rotate left/right, delete (move to .qiv-trash/),
jump to image x, jump forward/backward x images, filename filer and
you can use qiv to set your X11-Desktop background.

%description -l pl.UTF-8
Quick Image Viewer (qiv) jest bardzo małym i całkiem szybkim programem
do przeglądania plików graficznych, wykorzystującym biblioteki
GDK/Imlib.

%prep
%setup -q
%patch0 -p1

%build
%{__make} \
	CC="%{__cc}" \
	OPTS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_desktopdir},%{_pixmapsdir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	BINDIR=%{_bindir} \
	MANDIR=%{_mandir}

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}
install %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changelog README README.TODO
%attr(755,root,root) %{_bindir}/%{name}
%{_mandir}/man1/*
%{_desktopdir}/*.desktop
%{_pixmapsdir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: qiv.spec,v $
Revision 1.44  2012/02/22 10:04:31  megabajt
- updated to 2.2.4

Revision 1.43  2011/01/29 00:07:15  sparky
- dropped pre-cvs changelog

Revision 1.42  2009/11/28 15:23:05  sparky
- BR: xorg-lib-libXinerama-devel

Revision 1.41  2007/05/16 12:23:20  gotar
- upgraded to 2.1-pre12

Revision 1.40  2007/02/13 08:06:43  glen
- tabs in preamble

Revision 1.39  2007/02/12 01:06:29  baggins
- converted to UTF-8

Revision 1.38  2006/11/07 22:30:05  glen
- do not list %{_desktopdir}/* -- dangerous, could list directories unexpectedly

Revision 1.37  2006/08/08 14:38:10  sparky
- mass attack: s/%patch /%patch0 / -- usefull for overloaded %patch macro

Revision 1.36  2006/05/21 19:21:00  adamg
- pass CC

Revision 1.35  2004/08/30 21:28:07  dzeus
- updated to 2.0

Revision 1.34  2003/12/18 23:51:16  domelu
- up to 1.9

Revision 1.33  2003/11/22 17:01:05  gotar
- _applnkdir -> _desktopdir

Revision 1.32  2003/05/26 10:14:33  erjot
- Source0-md5

Revision 1.31  2003/05/25 06:26:05  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.30  2003/04/14 20:30:14  djrzulf
From Rafał Paweł Janiczek

Revision 1.29  2003/01/18 22:56:17  juandon
- removed two lines with define

Revision 1.28  2002/11/29 22:46:13  ankry
- massive attack: new %%doc

Revision 1.27  2002/02/23 04:25:52  kloczek
- adapterized.

Revision 1.26  2002/02/22 23:29:39  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.25  2002/01/18 02:14:45  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.24  2001/08/07 14:22:03  kloczek
- another typo ($#%! :>).

Revision 1.23  2001/08/07 14:03:28  kloczek
- typos in %install.

Revision 1.22  2001/08/07 13:28:37  kloczek
- release 2: iadded missing desktop and pixmap in %filess.

Revision 1.21  2001/08/06 12:17:54  kloczek
- added desktop file and desktop icon for qiv.

Revision 1.20  2001/08/05 02:35:47  wrobell
- updated to 1.7 version
- stb

Revision 1.19  2001/04/30 16:05:29  kloczek
- added using %%{rpmcflags} macro.

Revision 1.18  2001/01/25 20:03:48  misiek

Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.17  2000/12/23 00:48:46  michuz
- changed %%{!?debug:...}%%{?debug...} to %%{?debug:...}%%{!?debug...}
  (now it's more C like)

Revision 1.16  2000/11/06 12:38:55  kloczek
- updated to 1.5,
- use new rpm automation.

Revision 1.15  2000/07/15 15:12:59  kloczek
- release 2,
- fix %%{_mandir}.

Revision 1.14  2000/06/09 07:23:52  kloczek
- added using %%{__make} macro.

Revision 1.13  2000/05/17 20:31:23  kloczek
- updated to 1.3,
- spec adapterized,
- updated URL.

Revision 1.12  2000/05/16 08:37:55  pawelk
Added missing -l pl in descripton tag

Revision 1.11  2000/05/01 21:02:35  mkochano
- Removed 'BuildRequires: (XFree86|glib)-devel' from packages which have
  'BuildRequires: gtk+-devel'. They were redundant, beacuse 'gtk+-devel' says
  what it needs using 'Requires'. BTW, awk rules :)

Revision 1.10  2000/04/01 11:15:39  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.9  2000/03/28 16:55:06  baggins
- translated kloczkish into english

Revision 1.8  1999/09/25 01:04:07  kloczek
- cosmetics.

Revision 1.7  1999/09/24 21:17:12  pius
- updated to 1.2

Revision 1.6  1999/07/20 12:48:10  wiget
- switch to rpm 3.0.2

Revision 1.5  1999/07/12 23:06:13  kloczek
- added using CVS keywords in %changelog (for automating them).
